curl --request GET \
--url https://api.pushcash.com/transfer/list \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "transfer_xle830ef8djeoiu",
"amount": 700284,
"currency": "USD",
"direction": "credit",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"transactions": [
{
"id": "txn_230vjroij4985uefjoiu9",
"amount": -700284,
"currency": "USD",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"batch": null,
"account_id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "transfer",
"source_id": "transfer_xle830ef8djeoiu",
"status": "settled"
}
],
"account": {
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"created_at": "2023-05-24T20:15:18.158Z"
}
}
],
"next_cursor": "vjl8vk3l4o8dhsjlzh=="
}Retrieves a list of transfers.
curl --request GET \
--url https://api.pushcash.com/transfer/list \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "transfer_xle830ef8djeoiu",
"amount": 700284,
"currency": "USD",
"direction": "credit",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"transactions": [
{
"id": "txn_230vjroij4985uefjoiu9",
"amount": -700284,
"currency": "USD",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"batch": null,
"account_id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "transfer",
"source_id": "transfer_xle830ef8djeoiu",
"status": "settled"
}
],
"account": {
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"created_at": "2023-05-24T20:15:18.158Z"
}
}
],
"next_cursor": "vjl8vk3l4o8dhsjlzh=="
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The cursor for the next page of results to fetch
"vjl8vk3l4o8dhsjlzh=="
Return transfers made on or after the specified date
Return transfers made on or before the specified date